Bug 748691 - CVE-2011-3347 kernel: be2net: promiscuous mode and non-member VLAN packets DoS [fedora-all]
CVE-2011-3347 kernel: be2net: promiscuous mode and non-member VLAN packets Do...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2011-3347
  Show dependency treegraph
 
Reported: 2011-10-25 00:06 EDT by Eugene Teo (Security Response)
Modified: 2011-11-17 18:28 EST (History)
9 users (show)

See Also:
Fixed In Version: kernel-2.6.41.1-1.fc15
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-17 18:28:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2011-10-25 00:06:34 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=736425

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]
Comment 1 Josh Boyer 2011-10-25 13:41:52 EDT
ecd0bf0f7b280bac3ac7419ed3aac84cd92878e9 is in the 3.0 kernel, so F15-rawhide contain that fix.

4c5102f94c175d81790a3a288e85efd4a8a1649a is in the 3.1 kernel so F16 and rawhide contain that.

c0e64ef4899df4cedc872871e54e2c069d29e519 and 343e43c02850a3abcd22bd144e5bdbc92fdd273c aren't in any released kernel and need to be backported.

In summary:

F14 needs ecd0bf0f7b280bac3ac7419ed3aac84cd92878e9 c0e64ef4899df4cedc872871e54e2c069d29e519 343e43c02850a3abcd22bd144e5bdbc92fdd273c and one other patch.

F15 needs c0e64ef4899df4cedc872871e54e2c069d29e519 343e43c02850a3abcd22bd144e5bdbc92fdd273c and one other patch

F16/rawhide need c0e64ef4899df4cedc872871e54e2c069d29e519 and 343e43c02850a3abcd22bd144e5bdbc92fdd273c
Comment 2 Josh Boyer 2011-10-25 16:43:49 EDT
(In reply to comment #1)
> In summary:
> 
> F14 needs ecd0bf0f7b280bac3ac7419ed3aac84cd92878e9
> c0e64ef4899df4cedc872871e54e2c069d29e519
> 343e43c02850a3abcd22bd144e5bdbc92fdd273c and one other patch.

This actually might not be needed at all on F14.  Doing some more digging.

> F15 needs c0e64ef4899df4cedc872871e54e2c069d29e519
> 343e43c02850a3abcd22bd144e5bdbc92fdd273c and one other patch

Fixed in fedora git.

> F16/rawhide need c0e64ef4899df4cedc872871e54e2c069d29e519 and
> 343e43c02850a3abcd22bd144e5bdbc92fdd273c

Fixed in fedora git.
Comment 3 Josh Boyer 2011-10-27 08:40:24 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > In summary:
> > 
> > F14 needs ecd0bf0f7b280bac3ac7419ed3aac84cd92878e9
> > c0e64ef4899df4cedc872871e54e2c069d29e519
> > 343e43c02850a3abcd22bd144e5bdbc92fdd273c and one other patch.
> 
> This actually might not be needed at all on F14.  Doing some more digging.

Fixes for this are not needed on F14, as they changes that introduced the issue were not included in the 2.6.35 kernel.
Comment 4 Fedora Update System 2011-10-27 10:12:29 EDT
kernel-2.6.40.8-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.8-2.fc15
Comment 5 Fedora Update System 2011-10-29 20:35:12 EDT
Package kernel-2.6.40.8-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.40.8-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15108
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2011-11-01 15:58:39 EDT
kernel-2.6.40.8-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.8-4.fc15
Comment 7 Fedora Update System 2011-11-11 19:07:42 EST
kernel-2.6.41.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.41.1-1.fc15
Comment 8 Fedora Update System 2011-11-17 18:28:23 EST
kernel-2.6.41.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.